# Uses of Interface
org.apache.qpid.proton.engine.impl.TransportWrapper

Packages that use TransportWrapper
Package
Description
org.apache.qpid.proton.engine.impl
org.apache.qpid.proton.engine.impl.ssl

## Uses of TransportWrapper in org.apache.qpid.proton.engine.impl

Classes in org.apache.qpid.proton.engine.impl with type parameters of type TransportWrapper
Modifier and Type
Class
Description
`class`
`HandshakeSniffingTransportWrapper<T1 extends TransportWrapper,T2 extends TransportWrapper>`
`class`
`HandshakeSniffingTransportWrapper<T1 extends TransportWrapper,T2 extends TransportWrapper>`
Classes in org.apache.qpid.proton.engine.impl that implement TransportWrapper
Modifier and Type
Class
Description
`class`
`HandshakeSniffingTransportWrapper<T1 extends TransportWrapper,T2 extends TransportWrapper>`
`class`
`PlainTransportWrapper`
Fields in org.apache.qpid.proton.engine.impl declared as TransportWrapper
Modifier and Type
Field
Description
`protected TransportWrapper`
HandshakeSniffingTransportWrapper.`_selectedTransportWrapper`
`protected final T1`
HandshakeSniffingTransportWrapper.`_wrapper1`
`protected final T2`
HandshakeSniffingTransportWrapper.`_wrapper2`
Methods in org.apache.qpid.proton.engine.impl that return TransportWrapper
Modifier and Type
Method
Description
`TransportWrapper`
SaslImpl.`wrap(TransportInput input, TransportOutput output)`
`TransportWrapper`
TransportLayer.`wrap(TransportInput input, TransportOutput output)`

## Uses of TransportWrapper in org.apache.qpid.proton.engine.impl.ssl

Subinterfaces of TransportWrapper in org.apache.qpid.proton.engine.impl.ssl
Modifier and Type
Interface
Description
`interface`
`SslTransportWrapper`
Classes in org.apache.qpid.proton.engine.impl.ssl that implement TransportWrapper
Modifier and Type
Class
Description
`class`
`SimpleSslTransportWrapper`
TODO close the SSLEngine when told to, and modify `SimpleSslTransportWrapper.wrapOutput()` and `SimpleSslTransportWrapper.unwrapInput()` to respond appropriately thereafter.
`class`
`SslHandshakeSniffingTransportWrapper`
SslHandshakeSniffingTransportWrapper
Methods in org.apache.qpid.proton.engine.impl.ssl that return TransportWrapper
Modifier and Type
Method
Description
`TransportWrapper`
SslImpl.`wrap(TransportInput inputProcessor, TransportOutput outputProcessor)`